# Citrix Hypervisor | XCP-ng Virtual Appliance

1. Download storware.backup.recovery.x.x-citrix.ova file from [Storware repository](https://repo.storware.eu/storware/current/virtual-appliance/).
2. Open XenCenter.
3. Click on File -> Import...
4. Browse, and selct OVA file from your computer.
5. In Location select Citrix host to import image.
6. In Storage select storage to deploy vProtect VM.
7. In Networking select "Target Network" for Network Interface.
8. In Security leave empty "Verify manifest content".
9. In OS Fixup Settings, select "Don't use Operating System Fixup".
10. In Transfer VM Settings Select Network, and chose Network Settings.
11. In Finish tab view summary, and if all settings are correct then click button "Finish".
12. When VM is imported and running login to SSH to get VM IP, and next you can access vProtect by WebUI.

After importing the image to the environment set IP address, run "nmtui" -> "Edit a connection". Select network interface, and edit its network settings.

Increase disk size (in this example to 500G):

```
vdo growPhysical -n /dev/mapper/FileSystem
vdo growLogical -n /dev/mapper/FileSystem --vdoLogicalSize 500G
xfs_growfs /dev/mapper/FileSystem
```

{% hint style="info" %}
**Note:** You can find the login credentials [here](/backup-and-recovery-71/deployment/installation/virtual-appliance.md).
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.storware.eu/backup-and-recovery-71/deployment/installation/virtual-appliance/citrix-hypervisor-or-xcp-ng-virtual-appliance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
